<?php session_start();
require_once("../config/config.php");
//require_once("../config/commonsetting.php");

$myformId=SESS_MASTER;
$myIp= ipCheck() ;
$dateceated=date("Y-m-d G:i:s");
$createdby='0';
$api_key		=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'api_key']);
$affiliate_id		=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'affiliate_id']);
$network_id	=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'network_id']);
$stat	=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'stat']);
$api_type	=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'api_type']);


 if($_POST){
  try{
      if($stat=='0'){
          $olgaquery="INSERT INTO api_coupan SET createdIp='$myIp',datecreated='$dateceated',api_key='$api_key', affiliate_id='$affiliate_id',network_id='$network_id',api_type='$api_type'"; 
		$stmt = $conn->prepare($olgaquery);
		if($stmt->execute()){
			$last_insert_id = $conn->lastInsertId();

			$_SESSION["created"] = $last_insert_id ;
			
			 echo "<script>window.location='../icubeswire.php';</script>";;
		}
          
      }else{
          $olgaquery="UPDATE api_coupan SET createdIp='$myIp',datecreated='$dateceated',api_key='$api_key', affiliate_id='$affiliate_id',network_id='$network_id' WHERE api_type='$api_type' "; 
		$stmt = $conn->prepare($olgaquery);
		if($stmt->execute()){
			$last_insert_id = $conn->lastInsertId();

			$_SESSION["created"] = $last_insert_id ;
			
			 echo "<script>window.location='../icubeswire.php';</script>";;
		}
          
      }
		
 
 
   }
         
        // show error
        catch(PDOException $exception){
            die('ERROR: ' . $exception->getMessage());
        }
    }


?>